.side-bar {
  @include xs {
    z-index: 2;
    position: absolute;
    left: -120%;
    background-color: white;
    width: 100%;
    padding-right: 20px;
    max-height: 280px;
    overflow: auto;
    transition: left 0.3s ease-in;
  }

  .list & {
    @include sm {
      z-index: 2;
    position: absolute;
    left: -120vw;
    background-color: white;
    width: 100%;
    padding-right: 20px;
    max-height: 280px;
    overflow: auto;
    transition: left 0.3s ease-in;
    }
  }
}

.show-filter-bar {
  display: none;
  @include xs {
    display: block;
    color: $main-pink;
    font-size: 20px;
    cursor: pointer;
  }

  .list & {
    @include sm {
      display: block;
      color: $main-pink;
      font-size: 22px;
      cursor: pointer;
    }
  }
}

.hide-filter-bar {
  display: none;
  @include xs {
    color: $text-light1;
    position: absolute;
    display: block;
    top: 4px;
    right: 4px;
    &:hover {
      color: $text-light2;
    }
  }
  .list & {
    @include sm {
      color: $text-light1;
      position: absolute;
      display: block;
      top: 4px;
      right: 4px;
    }
  }
}

.show {
  left: 0px
  !important;
}

.sidebar-item {
  @include align(none, none, column);
  margin-bottom: 30px;
  span:first-of-type {
    font-size: 18px;
    border-bottom: 1px dashed $light-grey;
    color: $text-dark2;
    @include f-title(style);
    font-weight: $w-bold;
    line-height: 21px;
    padding-bottom: 12px;
    margin-bottom: 12px;
  }
  &:nth-of-type(4) {
    margin-bottom: 45px;
  }
}

.checkbox-input {
  padding: 8px 0px;
  border-bottom: 1px dashed $light-grey;
  label {
    @include f-subtitle(style);
    @include link;
    font-size: 13px;
    color: $text-light2;
    line-height: 18px;
  }
}

.input-price{
  -webkit-appearance: none;
  appearance: none;
  width: 100%;
  height: 10px;
  border-radius: 5px;
  outline: none;
  margin: 10px 0;
  transform: all 0.1s ease-out;
}

.input-price::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 15px; 
  height: 15px; 
  border-radius: 0;
  background: #dfeffc;
  cursor: pointer;
  border: 1px solid #c5dbec;
}

.input-price::-moz-range-thumb {
  width: 15px;
  height: 15px;
  border-radius: 0;
  background: #dfeffc;
  cursor: pointer;
  border: 1px solid #c5dbec;
}

.input-price::-ms-thumb {
  width: 15px;
  height: 15px;
  border-radius: 0;
  background: #dfeffc;
  cursor: pointer;
  border: 1px solid #c5dbec;
}

.input-colors {
  display: flex;
  label {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 22px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    input {
      position: absolute;
      opacity: 0;
      cursor: pointer;
      height: 0;
      width: 0;
    }
    input:checked ~ .checkbox-color .bi {
      opacity: 1;
    }
  }
}

.checkbox-color {
  position: absolute;
  top: 0;
  left: 0;
  height: 20px;
  width: 20px;
  border-radius: 2px;
  margin: 0 !important;
  padding: 0 !important;
  border: none !important;
  .bi {
    color: white;
    opacity: 0;
  }
}

.display-value {
  font-size: 12px;
  color: $main-gray;
  @include f-title(normal);
  margin-bottom: 15px;
  font-weight: $w-thin;
}

.checkbox-rating i {
  margin: 0px 3px;
}

.store-header {
  margin: 0px 18px 30px;
  padding: 16px 10px;
  border: 2px solid $light-grey;
  @include align(center, space-between, row);

  div:first-of-type  {
    span {
      @include f-title(normal);
      font-size: 12px;
      color: $text-dark2;
      font-weight: $w-bold;
    }
    select {
      @include f-title(normal);
      font-size: 12px;
      width: 190px;
      height: 27px;
      margin-left: 5px;
      padding-left: 5px;
      border: 1px solid $light-grey;
      background: #fbfbfb;
      color: $text-light3;
      @include sm {
        width: 110px;
      }
      @include xs {
        width: 78px;
      }
      
    
    }
  }

  div:last-of-type  {
    display: flex;
    gap: 7px;
    position: relative;

    label {
      display: block;
      position: relative;
      cursor: pointer;
      font-size: 22px;
      -webkit-user-select: none;
      -moz-user-select: none;
      -ms-user-select: none;
      user-select: none;
      input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
        height: 0;
        width: 0;
      }
      input:checked ~ span {
        border: 2px solid $main-pink;
        .bi {
            color: $main-pink;
        }
      }
      span {
        @include align(center, center, row);
        position: relative;
        top: 0;
        left: 0;
        height: 25px;
        width: 25px;
        border: 2px solid $text-light3;
        .bi {
          font-size: 16px;
          color: $text-light3;
        }
        @include xs {
          height: 20px;
          width: 20px;
        }
      }
    }
  }
}

.pagination {
  @include align(center, flex-end, row);
  @include f-title(normal);
  margin-top: 45px;
  margin-bottom: 50px;
  width: 100%;

  div {
    @include align(center, center, row);
    height: 42px;
    width: 85px;
    font-size: 14px;
    font-weight: $w-bold;
    background-color: $main-gray;
    color: white;
    margin-right: 18px;
  }

  button {
    margin-right: 18px;
    height: 42px;
    width: 92px;
    gap: 5px;
    background-color: $main-gray;
    color: white;
    font-weight: $w-bold;
    @include f-title(normal);
    @include align(center, center, row);
    @include pink-hover-simple;
  }
}

